Graduate Syntax Highlighting (CodeMirror) out of beta for non-RTL wikis on the 2010 wikitext editor
Closed, ResolvedPublic2 Story Points

Description

Once all blocking defects are resolved we should graduate CodeMirror syntax highlighting from a beta feature on all LTR wikis.

Deliverables:

  • Get rid of beta feature code from CodeMirror
  • Deploy as live

Supporting RTL wikis will be accomplished later in T170001: Support CodeMirror syntax highlighting on RTL wikis

There are a very large number of changes, so older changes are hidden. Show Older Changes
gh87 added a subscriber: gh87.Mar 27 2018, 8:19 AM

Can't graduate from beta yet. The tasks I filed (T190720 and T190682) indicate that IE users would have trouble using the CodeMirror mode if not yet fixed well.

TBolliger updated the task description. (Show Details)Apr 11 2018, 10:39 PM
Liuxinyu970226 added a comment.EditedMay 5 2018, 12:28 AM

@gh87:

Can't graduate from beta yet. The tasks I filed (T190720 and T190682) indicate that IE users would have trouble using the CodeMirror mode if not yet fixed well.

I don't think so, this should be firstly considered to enable to all users on closed wikis, plus Norwegian and Swedish Wikinewses (where both are "semi-closed").

Anyway, why those IE users can't consider to use other browsers? I currently don't see any reason of it.

TBolliger added a subscriber: TBolliger.EditedMay 7 2018, 4:44 PM

I don't think so, this should be firstly considered to enable to all users on closed wikis, plus Norwegian and Swedish Wikinewses (where both are "semi-closed").

Anyway, why those IE users can't consider to use other browsers? I currently don't see any reason of it.

Some Wikimedians use computers at work, libraries, internet cafes, etc where they cannot control which browser is available. We're at work on these tickets. If we cannot fix them then we may need to disable CodeMirror on IE altogether.

TBolliger renamed this task from Graduate Syntax Highlighting (CodeMirror) out of beta for non-RTL wikis to Graduate Syntax Highlighting (CodeMirror) out of beta for non-RTL wikis on the 2010 wikitext editor.

@TBolliger:

Some Wikimedians use computers at work, libraries, internet cafes, etc where they cannot control which browser is available.

How are they even use PC to maintain closed wikis? The stewards even make their logs in closed wikis if and only if 1. GlobalRename; 2. handling huge scale copyvios under DMCA in our OTRS; 3. When reopen of one of them is approved by langcom, resetting contents to be empty, and many settings to follow the newest default. Anyway, how does one of such cases even IE browser needed?

We're at work on these tickets. If we cannot fix them then we may need to disable CodeMirror on IE altogether.

Then why VisualEditor can set closed wikis as Phase 0 (per https://www.mediawiki.org/wiki/VisualEditor/Rollouts)?

gh87 added a comment.May 11 2018, 6:26 AM

Didn't you notice, @Liuxinyu970226, that the Community Tech decided to no longer fix issues occurring at IE11? (T190682#4188734)

Didn't you notice, Liuxinyu970226, that the Community Tech decided to no longer fix issues occurring at IE11? (T190682#4188734)

A for effort, I hope! It was a very challenging task, and we only had so much time to devote to it. Sorry! :(

@Liuxinyu970226 The Community Tech team is not approaching this project as 'for closed wikis' or 'for open wikis,' rather 'for all Wikimedia wikis.'

We will be graduating this out of labs for the 2010 wikitext editor in the coming weeks for all Wikimedia wikis.

Moving this out of the estimation because it involves making a config change that I can take care of once the remaining tickets are done.

Is there an estimation when this will deployed?

As soon as T194102: Disable IME (don't show the icon) when CodeMirror is turned on is reviewed, merged, and closed then this ticket will be ready for development. We're focussing on an [[Wikipedia:WikiProject Articles for creation/AfC Process Improvement May 2018|Articles For Creation]] improvement project for the next 4-6 weeks but we'll try to complete this simultaneously.

TBolliger set the point value for this task to 2.

Just config changes required.

MaxSem claimed this task.

Change 440178 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Graduate CodeMirror out of beta on non-RTL wikis, part 1

https://gerrit.wikimedia.org/r/440178

Change 440179 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Graduate CodeMirror out of beta on non-RTL wikis, part 2

https://gerrit.wikimedia.org/r/440179

@MaxSem Could you also remove all the beta feature code from CodeMirror since we're not gonna use it anymore as part of this ticket?

Eh, my reading of this ticket is that it should remain in beta on RTL?

Eh, my reading of this ticket is that it should remain in beta on RTL?

Actually, the beta feature on RTL is a fake. Turning it on doesn't do anything because syntax highlighting graduated out of beta for NWE a while back and we don't support syntax highlighting for the 2010 editor on RTL anyway.

Niharika updated the task description. (Show Details)Jun 13 2018, 7:03 PM

Change 440179 abandoned by MaxSem:
Graduate CodeMirror out of beta on non-RTL wikis, part 2

https://gerrit.wikimedia.org/r/440179

Change 440254 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/CodeMirror@master] Remove all BetaFeatures support

https://gerrit.wikimedia.org/r/440254

Change 440178 merged by jenkins-bot:
[operations/mediawiki-config@master] Graduate CodeMirror out of beta

https://gerrit.wikimedia.org/r/440178

gh87 added a comment.Jun 14 2018, 9:49 AM

Right now, I no longer see the feature in the "Beta" tab. I clicked the highlighter button on the toolbar. This means that the feature is graduated out of beta for LTR wikis.

Niharika closed this task as Resolved.Jun 14 2018, 5:39 PM
Niharika moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.

That's correct. Syntax highlighting has been graduated from beta for all wikis. It is not available for the 2010 and older editors on RTL wikis.

I almost forgot, this should be announced in Tech news.

@Framawiki @Johan Can we send this out in the upcoming tech news issue? Thanks. :)

gh87 removed a subscriber: gh87.Jun 15 2018, 3:21 AM
Julle added a subscriber: Julle.Jun 15 2018, 8:17 AM
This comment was removed by Julle.
Guycn2 added a subscriber: Guycn2.Jun 15 2018, 11:04 AM

Just a little question, is there a plan to support this feature on RTL wikis when using the 2010 wikitext editor?

Julle removed a subscriber: Julle.Jun 15 2018, 11:22 AM

Just a little question, is there a plan to support this feature on RTL wikis when using the 2010 wikitext editor?

There is a task to track this work: T191924: Enable CodeMirror for RTL in 2010 Wikitext editor

This requires a significant re-write of the CodeMirror library which is not feasible for the Community Tech team.

Change 440254 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove all BetaFeatures support

https://gerrit.wikimedia.org/r/440254

Niharika moved this task from Done to Archive on the Community-Tech-Sprint board.Jul 3 2018, 7:37 PM